Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>	

Name:		di
#Epoch:		0
Version:	4.26
Release:	1
License:	zlib/libpng
URL:		http://www.gentoo.com/di/
Group:		System/Base
Summary:	disk information utility
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: glibc-devel

%description
di is a disk information utility, displaying everything
(and more) that your df command does. It features the
ability to display your disk usage in whatever format you
desire. It is designed to be highly portable across many
platforms.  Great for heterogenous networks.


%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}

%build
make LOCALEDIR=/usr/share/locale

%install
rm -rf $RPM_BUILD_ROOT
test -d $RPM_BUILD_ROOT || mkdir $RPM_BUILD_ROOT
test -d $RPM_BUILD_ROOT/usr || mkdir $RPM_BUILD_ROOT/usr
make prefix=$RPM_BUILD_ROOT/usr install
rm -f $RPM_BUILD_ROOT/usr/bin/mi
cd $RPM_BUILD_ROOT/usr/bin/
ln -sf di mi

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/di
%{_bindir}/mi
%{_locale}/de/LC_MESSAGES/di.mo
%{_locale}/en/LC_MESSAGES/di.mo
%{_locale}/es/LC_MESSAGES/di.mo
%{_mandir}/man1/di.1.gz

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Mon Jul 26 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.26-1
- initial CCux package release
